<?php

namespace X_Currency\App\Compatibility;

defined( 'ABSPATH' ) || exit;

class Compatibility
{
    public static function run()
    {
        global $x_currency;
        $settings = $x_currency['selected_currency'];

        /**
         * ShopEngine Compatibility
         */
        add_filter( 'shopengine_filter_price_range', function ( $ranges ) {
            return array_map( function ( $range ) {
                return x_currency_exchange( $range );
            }, $ranges );
        } );

        add_filter( 'shopengine_currency_exchange_rate', function () use ( $settings ) {
            return $settings['rate'];
        } );

        /**
         * Woocommerce Subscriptions Compatibility
         */
        add_filter( 'woocommerce_subscriptions_product_sign_up_fee', function ( $price ) {
            return x_currency_exchange( $price );
        } );
    }
}
