<?php

namespace X_Currency\App\Service_Providers;

use X_Currency;
use X_Currency\App\Utils\Currency;
use X_Currency\Bootstrap\Service_Provider;

defined( 'ABSPATH' ) || exit;

class Shortcode_Service_Provider implements Service_Provider
{
    public function boot()
    {
        add_action( 'init', [$this, 'init'] );
    }

    public function init()
    {
        add_shortcode( 'x-currency-switcher', [$this, 'view'] );
    }

    /**
     * @param $attr
     */
    public function view( $attr )
    {
        if ( isset( $attr['id'] ) ) {
            return self::render( intval( $attr['id'] ) );
        }
    }

    public static function render( $template_id )
    {
        $query = new \WP_Query( [
            'p'           => $template_id,
            'post_type'   => X_Currency::POST_TYPE_SWITCHER,
            'post_status' => 'publish'
        ] );

        if ( isset( $query->post ) ) {
            $currencies = Currency::list( 'publish', true );
            $flags_url  = x_currency_get_flags_src();
            $rand       = rand( 10, 9999 );
            ob_start();
            //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
            echo '<div id="' . $rand . '" class="xc-shortcode-root" style="position:relative; z-index:999; display: inline-block; width: 100%; height: 0 !important;"></div>';
            include X_CURRENCY_DIR . 'resources/views/switcher.php';
            return ob_get_clean();
        }
    }
}
