<?php

namespace X_Currency\App\Service_Providers;

use X_Currency\App\Utils\Currency;
use X_Currency\App\Utils\Switcher;
use X_Currency\Bootstrap\Service_Provider;

defined( 'ABSPATH' ) || exit;

class Side_Sticky_Service_Provider implements Service_Provider
{
    public function boot()
    {
        add_action( 'init', [$this, 'init'] );
    }

    public function init()
    {
        if ( !is_admin() ) {
            add_action( 'wp_footer', [$this, 'stick_sidebar'] );
        }
    }

    public function stick_sidebar()
    {
        $current_page_id = apply_filters( 'x_currency_current_page_id', 'all' );
        $switcher        = new Switcher;
        $switcher_list   = $switcher->side_stick_switcher_list();

        if ( is_array( $switcher_list ) ) {
            $currencies = Currency::list( 'publish', true );
            $flags_url  = x_currency_get_flags_src();

            foreach ( $switcher_list as $template_id => $switcher ) {
                if ( $switcher['page'] == 'all' || $switcher['page'] == $current_page_id ) {
                    $rand = rand( 10, 9999 );
                    //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                    echo '<div id="' . $rand . '" style="position:relative; z-index:999; display: inline-block"></div>';
                    include X_CURRENCY_DIR . 'resources/views/switcher.php';
                }
            }
        }
    }
}
