<?php

namespace X_Currency\App\Service_Providers;

use X_Currency;
use X_Currency\App\Utils\Currency;
use X_Currency\Bootstrap\Service_Provider;

defined( 'ABSPATH' ) || exit;

class Vendor_Service_Provider implements Service_Provider
{
    public function boot()
    {
        add_action( 'wp_enqueue_scripts', [$this, 'enqueue_scripts'] );
    }

    public function enqueue_scripts()
    {
        $switcher_asset = include_once X_CURRENCY_DIR . '/build/switcher.asset.php';
        array_push( $switcher_asset['dependencies'], 'jquery' );

        wp_enqueue_script( 'x-currency-switcher', X_CURRENCY_URL . 'build/switcher.js', $switcher_asset['dependencies'], $switcher_asset['version'], true );
        wp_enqueue_style( 'x-currency-vendor-css', X_CURRENCY_URL . 'assets/css/vendor.css', [], X_Currency::version() );

        $base_currency = get_option( Currency::XBASECURRENCY );

        wp_localize_script( 'x-currency-switcher', 'x_currency', [
            'version'       => X_Currency::version(),
            'media_url'     => X_CURRENCY_URL . 'media/',
            'base_currency' => $base_currency,
            'isPro'         => 'yes' // yes || no
        ] );
    }
}
