<?php

namespace X_Currency\App\Supports\Rate_Provider;

class Currency_Freaks extends Provider_Base
{
    public function get_url()
    {
        return 'https://api.currencyfreaks.com/latest?apikey=';
    }

    /**
     * @return mixed
     */
    public function get_rates( $api_token )
    {
        $response        = wp_remote_get( $this->get_url() . $api_token );
        $responseBody    = wp_remote_retrieve_body( $response );
        $needed_response = json_decode( $responseBody, true );

        if ( isset( $needed_response['error'] ) ) {
            return [
                'status'  => 'failed',
                'message' => $needed_response['error']['message']
            ];
        }
        return $needed_response;
    }
}
