<?php

namespace X_Currency\App\Supports\Rate_Provider;

class Fixer_Api_Layer extends Provider_Base
{
    public function get_url()
    {
        return 'https://api.apilayer.com/fixer/latest?base=USD&apikey=';
    }

    /**
     * @param $api_token
     * @return mixed
     */
    public function get_rates( $api_token )
    {
        $response        = wp_remote_get( $this->get_url() . $api_token );
        $responseBody    = wp_remote_retrieve_body( $response );
        $needed_response = json_decode( $responseBody, true );

        if ( 200 === wp_remote_retrieve_response_code( $response ) ) {
            return $needed_response;
        }

        return [
            'status'  => 'failed',
            'message' => isset( $needed_response['message'] ) ? $needed_response['message'] : ''
        ];
    }
}
