<?php

namespace X_Currency\App\Supports\Rate_Provider;

class Open_Exchange_Rates extends Provider_Base
{
    public function get_url()
    {
        return 'https://openexchangerates.org/api/latest.json?app_id=';
    }

    /**
     * @return mixed
     */
    public function get_rates( $api_token )
    {
        $response        = wp_remote_get( $this->get_url() . $api_token );
        $responseBody    = wp_remote_retrieve_body( $response );
        $needed_response = json_decode( $responseBody, true );

        if ( isset( $needed_response['description'] ) ) {
            return [
                'status'  => 'failed',
                'message' => $needed_response['description']
            ];
        }
        return $needed_response;
    }
}
