<?php

namespace X_Currency\App\Utils;

use X_Currency;

defined( 'ABSPATH' ) || exit;

class Currency
{
    const XCURRENCYSORTKEYS = 'x-currency-currency-sort-keys';
    const XBASECURRENCY     = 'x-base-currency';
    /**
     * @return mixed
     */
    public static function list( $post_type = 'publish', $geo = false ) {
        $posts = get_posts( [
            'post_type'   => X_Currency::POST_TYPE,
            'post_status' => $post_type,
            'numberposts' => -1,
            'order'       => 'ASC'
        ] );

        $posts = json_decode( json_encode( $posts ), true );

        $sort_ids     = self::sort_ids();
        $sorted_posts = [];

        global $x_currency;
        $country_code = isset( $x_currency['user_geo_location']['countryCode'] ) ? $x_currency['user_geo_location']['countryCode'] : '';
        $i = 1;
        foreach ( $sort_ids as $id ) {
            if($i > 3 && !function_exists('x_currency_pro_app')) {
                break;
            }
            $key = array_search( $id, array_column( $posts, 'ID' ) );
            if (is_int($key) && isset( $posts[$key] ) ) {
                $post        = $posts[$key];
                $meta_values = x_currency_get_currency_by_id( $id );
                if ( $geo && $x_currency['global_settings']['base_currency'] != $id && !empty($meta_values['disable_countries'])) {
                    if ( 'enable' === $meta_values['geo_countries_type'] ) {
                        if ( in_array( $country_code, $meta_values['disable_countries'] ) ) {
                            $meta_values['id']     = $id;
                            $meta_values['name']   = $post['post_title'];
                            $meta_values['active'] = $post['post_status'] == 'publish' ? true : false;
                            array_push( $sorted_posts, $meta_values );
                        }
                    } elseif ( 'disable' === $meta_values['geo_countries_type'] ) {
                        if ( !in_array( $country_code, $meta_values['disable_countries'] ) ) {
                            $meta_values['id']     = $id;
                            $meta_values['name']   = $post['post_title'];
                            $meta_values['active'] = $post['post_status'] == 'publish' ? true : false;
                            array_push( $sorted_posts, $meta_values );
                        }
                    }
                } else {
                    $meta_values['id']     = $id;
                    $meta_values['name']   = $post['post_title'];
                    $meta_values['active'] = $post['post_status'] == 'publish' ? true : false;
                    array_push( $sorted_posts, $meta_values );
                }
            }
            $i++;
        }

        return $sorted_posts;
    }

    public static function failed_response()
    {
        return [
            'message' => esc_html__( 'Something is wrong', 'x-currency' ),
            'status'  => 'failed'
        ];
    }

    /**
     * @return mixed
     */
    public static function sort_ids()
    {
        $sort_ids = unserialize( get_option( self::XCURRENCYSORTKEYS ) );
        return $sort_ids !== false ? $sort_ids : [];
    }
}
