<?php

namespace X_Currency\App\Utils;

use X_Currency;

defined( 'ABSPATH' ) || exit;

class Switcher
{
/**
 * @return mixed
 */
    public static function side_stick_switcher_list()
    {
        $posts = get_posts( [
            'post_type'   => X_Currency::POST_TYPE_SWITCHER,
            'post_status' => 'publish',
            'numberposts' => -1,
            'meta_query'  => [
                [
                    'key'     => 'type',
                    'value'   => 'sticky',
                    'compare' => '='
                ]
            ]
        ] );
        return self::switcher_list_data( $posts );
    }

    /**
     * @param $posts
     * @return mixed
     */
    public static function switcher_list_data( $posts )
    {
        $final_posts = [];
        foreach ( $posts as $value ) {
            $meta_values               = self::post_meta( $value->ID );
            $meta_values['id']         = $value->ID;
            $meta_values['name']       = $value->post_title;
            $meta_values['short_code'] = "[" . X_Currency::POST_TYPE_SWITCHER . " id=" . $value->ID . "]";
            $meta_values['active']     = $value->post_status == 'publish' ? true : false;
            $final_posts[$value->ID]   = $meta_values;
        }
        return $final_posts;
    }

    /**
     * @param $post_id
     */
    private static function post_meta( $post_id )
    {
        $switcher_type = get_post_meta( $post_id, 'type', true );
        $customizer_id = get_post_meta( $post_id, 'customizer_id', true );
        $package       = get_post_meta( $post_id, 'package', true );
        $page          = get_post_meta( $post_id, 'page', true );

        if(empty($page)) {
            $page = 'all';
        }

        return [
            'type'          => $switcher_type,
            'page'          => $page,
            'template'      => get_post_meta( $post_id, 'template', true ),
            'custom_css'    => get_post_meta( $post_id, 'custom_css', true ),
            'customizer_id' => empty( $customizer_id )  ? $switcher_type . '-default' : $customizer_id,
            'package'       => empty( $package )  ? 'free' : $package,
        ];
    }
}
