jQuery(document).ready(function ($) {
  /**
   * Admin menu settings
   */
  const wrapper = $("#toplevel_page_x-currency");
  const topMenu = $("a.toplevel_page_x-currency.menu-top");
  const oldHref = topMenu.attr("href");

  wrapper.find(".wp-first-item").css({ display: "none" });

  wrapper
    .find(`a[href="${window.location.href}"]`)
    .parent()
    .addClass("current");
  $(window).on("hashchange", function (e) {
    const { newURL, oldURL } = e.originalEvent;
    wrapper.find(`a[href="${oldURL}"]`).parent().removeClass("current");
    wrapper.find(`a[href="${newURL}"]`).parent().addClass("current");
  });

  /**
   * Woocommerce Shipping Settings
   */
  $(document.body).on("wc_backbone_modal_loaded", function () {
    // input style
    let input = $(".x-currency-shipping-input");
    
    input.closest("tr").find('th, td').css({
      backgroundColor: "#e6ecf0",
      border: '0px solid #e6ecf0'
    });

    if(input.children().length > 1 ) {
      input.first().closest("tr").find("th").css("padding-bottom", "0");
    }
    input.first().hide();

    /**
     * Free shipping requires type checking after modal is loaded
     */
    $("#woocommerce_free_shipping_requires").change();
  });

  /**
   * Free Shipping Settings
   */
  $(document.body).on(
    "change",
    "#woocommerce_free_shipping_requires",
    function () {
      var form = $(this).closest("form");
      var currency_list = $(".x-currency-shipping-input", form).closest("tr");
      if ("coupon" === $(this).val() || "" === $(this).val()) {
        currency_list.hide();
      } else {
        currency_list.show();
      }
    }
  );
});
