<?php

namespace X_Currency;

defined('ABSPATH') || exit;

class Autoloader {

    public static function run() {
        require_once __DIR__ . '/app/helper/helper.php';
        spl_autoload_register([__CLASS__, 'autoload']);
    }

    /**
     * @param $class_name
     * @return null
     */
    private static function autoload($class_name) {

        if (0 !== strpos($class_name, __NAMESPACE__)) {
            return;
        }

        $file_name = strtolower(
            preg_replace(
                ['/\b' . __NAMESPACE__ . '\\\/', '/([a-z])([A-Z])/', '/_/', '/\\\/'],
                ['', '$1-$2', '-', DIRECTORY_SEPARATOR],
                $class_name
            )
        );

		
        $file = plugin_dir_path(__FILE__) . $file_name . '.php';

        if (file_exists($file)) {

            require_once $file;
        }
    }
}

Autoloader::run();
