<?php

defined( 'ABSPATH' ) || exit;

global $x_currency;

$switcher_type = get_post_meta( $template_id, 'type', true );
$customizer_id = get_post_meta( $template_id, 'customizer_id', true );

if ( empty( $customizer_id ) ) {
    $customizer_id = $switcher_type . '-default';
}

$template_json = get_post_meta( $template_id, 'template', true );
$custom_css    = get_post_meta( $template_id, 'custom_css', true );

$arguments = [
    'id'                => $template_id,
    'customizer_id'     => $customizer_id,
    'element'           => $rand,
    'template'          => $template_json,
    'custom_css'        => $custom_css,
    'currencies'        => $currencies,
    'flags'             => $flags_url,
    'selected'          => $x_currency['selected_currency']['code'],
    'removeQueryString' => ( isset( $x_currency['global_settings']['no_get_data_in_link'] ) && $x_currency['global_settings']['no_get_data_in_link'] == 'true' ) ? 'yes' : 'no',
    'user_location'     => isset( $x_currency['user_geo_location']['countryCode'] ) ? esc_html( $x_currency['user_geo_location']['countryCode'] ) : 'false'
];
?>

<script id="script-<?php echo esc_attr( $rand ) ?>">
	jQuery(document).ready( $ => {
		const customEvent = new CustomEvent('xCurrency/switcher', {
			detail: <?php echo json_encode( $arguments ) ?>
		});
		window.dispatchEvent(customEvent);
	})
</script>